V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
l4ever
V2EX  ›  程序员

9102 年了做公司官网有必要 IE8+吗?

  •  
  •   l4ever · 2019-07-10 16:32:11 +08:00 · 4435 次点击
    这是一个创建于 1092 天前的主题,其中的信息可能已经有所发展或是发生改变。
    好纠结啊.
    34 条回复    2019-07-11 17:18:57 +08:00
    Sniper416
        1
    Sniper416  
       2019-07-10 16:38:58 +08:00
    没有必要!
    Carseason
        2
    Carseason  
       2019-07-10 16:39:25 +08:00 via iPhone
    ie11 就可以了,极端点 ie 也不管
    q8164305
        3
    q8164305  
       2019-07-10 16:42:48 +08:00 via Android
    说实话,pc 网页都没啥人看了,再优化意义也不大啊
    towser
        4
    towser  
       2019-07-10 16:46:22 +08:00
    IE / edge 都不用管了
    pwcsawyer
        5
    pwcsawyer  
       2019-07-10 16:47:26 +08:00
    现在都 chrome 了吧
    pumily
        6
    pumily  
       2019-07-10 16:48:53 +08:00
    我们之前做的时候是合同上直接说明,ie8 及其以下版本不兼容的
    EEEcho
        7
    EEEcho  
       2019-07-10 16:50:55 +08:00
    11 以上就行了吧
    wizzer
        8
    wizzer  
       2019-07-10 16:52:26 +08:00
    我们现在做的营业厅收费软件就是 C#客户端 + CefSharp (Chromium 内核) + Vue + ElmentUI,支持 XP

    哈,不行你也套个壳?
    VikingX
        9
    VikingX  
       2019-07-10 16:54:10 +08:00
    IE 系列只兼容 IE11
    Jirajine
        10
    Jirajine  
       2019-07-10 17:00:35 +08:00 via Android
    国内公司甚至 Firefox,原生 chrome (高版本内核)也不用管,这两样用户还不如 ie 和 edge。绝大多数用户都是 chromium 系的套壳浏览器。
    asdjgfr
        11
    asdjgfr  
       2019-07-10 17:12:06 +08:00
    只做 chrome 75 + [doge]
    cuzfinal
        12
    cuzfinal  
       2019-07-10 17:31:51 +08:00
    不用管 IE 了。
    Phariel
        13
    Phariel  
       2019-07-10 17:34:06 +08:00
    真的是要感谢国内的各种套壳浏览器和移动互联网 低级浏览器兼容这种屎一样的事情再也不用烦了
    lancelock
        14
    lancelock  
       2019-07-10 19:02:32 +08:00
    当年我刚入行的时候还兼容过 ie6,真的是狗屎,为了逃避我都转后端了。现在环境好多了
    18k
        15
    18k  
       2019-07-10 19:05:59 +08:00 via iPhone
    业务面向 zf 或者国企吗
    zhuweiyou
        16
    zhuweiyou  
       2019-07-10 19:08:13 +08:00
    不看 IE
    benzzz
        17
    benzzz  
       2019-07-10 19:09:15 +08:00 via iPhone
    有没有必要取决于你的用户群体啊
    clifftts
        18
    clifftts  
       2019-07-10 19:10:18 +08:00
    老板和产品说了算
    orzorzorzorz
        19
    orzorzorzorz  
       2019-07-10 20:00:06 +08:00
    别人说了没用,还是看老板。先做 ie11,不会太难受,被问起来也可以说没指定兼容版本,就默认 ie11,也算过得去
    lzxgh621
        20
    lzxgh621  
       2019-07-10 20:13:29 +08:00 via iPhone
    顺路怀念一下 IETester
    Torpedo
        21
    Torpedo  
       2019-07-10 20:31:01 +08:00
    看受众。如果不多,可以针对 ie 直接弹窗。
    目前 ie 算上 11 也很难超过 10。国外就 2、3 得占比
    MonoLogueChi
        22
    MonoLogueChi  
       2019-07-10 20:48:19 +08:00 via Android
    看主要客户,别听那些什么需不需要的。以前我在化工厂上班的时候,电脑基本全是 IE,少部分是 360,采购那边也差不多,基本上一半是 XP,一半是 win7,反正 XP 上全是 IE。如果你公司面向这种传统企业做业务,建议还是需要支持 IE8,如果全是互联网公司,需不需要支持看老板心情吧
    wym7223645
        23
    wym7223645  
       2019-07-10 20:58:04 +08:00
    我们目前甲方要求必须支持 IE8
    Keyes
        24
    Keyes  
       2019-07-10 23:04:36 +08:00 via Android
    @wizzer electron 套了 hhh
    janxin
        25
    janxin  
       2019-07-11 08:24:38 +08:00
    看你受众啦,我们官网还是兼容的,业务系统不兼容
    l4ever
        26
    l4ever  
    OP
       2019-07-11 08:43:55 +08:00
    @wizzer 大佬自己用这样还可以, 问题是我要弄公司官网啊.....
    o0
        27
    o0  
       2019-07-11 09:12:38 +08:00
    兼容 IE,毕竟要给普通用户访问,不过应该没必要去兼容 IE8,但终究也是看公司业务受众大概是什么年龄段。
    反正我个人的项目是直接屏蔽所有 IE 的。
    GuangXiN
        28
    GuangXiN  
       2019-07-11 10:07:26 +08:00 via Android
    设想一下你的系统运行在一个物理隔离的内部网络中,然后所有客户端都是 Windows xp
    Raymon111111
        29
    Raymon111111  
       2019-07-11 11:18:40 +08:00
    完全没必要

    不兼容的情况下提醒对方去用 360 浏览器
    meepo3927
        30
    meepo3927  
       2019-07-11 11:31:00 +08:00
    我们这是 IE9+
    newGamingLife
        31
    newGamingLife  
       2019-07-11 13:45:50 +08:00
    我们之前项目组全部改换兼容 ie11 了。除了国企之外大部分都不用自带浏览器了吧
    legiorange
        32
    legiorange  
       2019-07-11 13:58:29 +08:00 via Android
    兼容过 ie7,中英文 css 样式没搞死我
    不知道人家怎么想的 ie 个毛
    现在各大银行也是 ie 来 ie 去,银行后台大部分都 ssh。
    这辈子不想再看银行的系统。
    carlleton
        33
    carlleton  
       2019-07-11 16:49:13 +08:00
    微软都要放弃 win7 了
    BigFaceCatQuQ
        34
    BigFaceCatQuQ  
       2019-07-11 17:18:57 +08:00
    @legiorange 航空公司也是……之前待在航空公司外包公司适配 IE8 是标配,过分的适配 IE6。。。我真的服了
    关于   ·   帮助文档   ·   API   ·   FAQ   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   3920 人在线   最高记录 5497   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 26ms · UTC 05:40 · PVG 13:40 · LAX 22:40 · JFK 01:40
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.